/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * このファイルはBlancoValueObjectにより自動生成されました。
 */
package blanco.stringconverter.valueobject;

/**
 * BlancoStringConverterのなかで利用されるValueObjectです。
 */
public class BlancoStringConverterFieldStructure {
    /**
     * フィールド [no]
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号
     */
    private String fNo;

    /**
     * フィールド [from]
     *
     * 項目の型 [java.lang.String]<br>
     * 変換元文字列を指定します。必須項目です。
     */
    private String fFrom;

    /**
     * フィールド [to]
     *
     * 項目の型 [java.lang.String]<br>
     * 変換先文字列を指定します。必須項目です。
     */
    private String fTo;

    /**
     * フィールド [description]
     *
     * 項目の型 [java.lang.String]<br>
     * 文字列に対する説明を指定します。
     */
    private String fDescription;

    /**
     * フィールド [no]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号
     *
     * @param argNo フィールド[no]に格納したい値
     */
    public void setNo(final String argNo) {
        fNo = argNo;
    }

    /**
     * フィールド[no]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号
     *
     * @return フィールド[no]に格納されている値
     */
    public String getNo() {
        return fNo;
    }

    /**
     * フィールド [from]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 変換元文字列を指定します。必須項目です。
     *
     * @param argFrom フィールド[from]に格納したい値
     */
    public void setFrom(final String argFrom) {
        fFrom = argFrom;
    }

    /**
     * フィールド[from]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 変換元文字列を指定します。必須項目です。
     *
     * @return フィールド[from]に格納されている値
     */
    public String getFrom() {
        return fFrom;
    }

    /**
     * フィールド [to]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 変換先文字列を指定します。必須項目です。
     *
     * @param argTo フィールド[to]に格納したい値
     */
    public void setTo(final String argTo) {
        fTo = argTo;
    }

    /**
     * フィールド[to]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 変換先文字列を指定します。必須項目です。
     *
     * @return フィールド[to]に格納されている値
     */
    public String getTo() {
        return fTo;
    }

    /**
     * フィールド [description]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 文字列に対する説明を指定します。
     *
     * @param argDescription フィールド[description]に格納したい値
     */
    public void setDescription(final String argDescription) {
        fDescription = argDescription;
    }

    /**
     * フィールド[description]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 文字列に対する説明を指定します。
     *
     * @return フィールド[description]に格納されている値
     */
    public String getDescription() {
        return fDescription;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.stringconverter.valueobject.BlancoStringConverterFieldStructure[");
        buf.append("no=" + fNo);
        buf.append(",from=" + fFrom);
        buf.append(",to=" + fTo);
        buf.append(",description=" + fDescription);
        buf.append("]");
        return buf.toString();
    }
}
